using Icarus.Graphics.Animation;
using System;

namespace Icarus.Graphics.Animation.GDI
{

    /**
     * Allows for animation using GDI.
     */
    public class GDIAnimationFactory 
		: AnimationFactory
	{
		/**
		 * Returns a blank frame.
		 */
		public override IFrame makeBlankFrame()
		{
			return new GDIFrame();
		}

		/**
		 * Returns blank text.
		 */
		public override AbstractText makeText(string text, System.Drawing.Color c, System.Drawing.Font f) 
		{
			throw new Exception("Text rendering for GDI is not implemented, because it hasn't been needed yet.");
		}
	}
}
